View Issue Details

IDProjectCategoryView StatusLast Update
0014863LazarusIDEpublic2009-10-22 23:20
ReporterMarelis Assigned ToPaul Ishenin  
PrioritynormalSeveritycrashReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN) 
Fixed in Version0.9.29 (SVN) 
Summary0014863: Compiling Lazarus terminated with error.
DescriptionI carried out the creation of Debian package from the SVN Lazarus usual way, namely using a script:

../tools/install/create_lazarus_deb.sh

But making the package was suspended during compilation with an error:

Fatal: Can't find unit JCFSettings used by TokenUtils
Additional InformationLazarus SVN 22247
OS: Ubuntu 9.04 i386

Part of the log with error:

Free Pascal Compiler version 2.2.5 [2009/10/21] for i386
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for i386
Compiling jcfidelazarus.pas
Compiling jcfidemain.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/ReadWrite/EditorConverter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/ReadWrite/Converter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/ReadWrite/ConvertTypes.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Parse/ParseTreeNode.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Parse/Tokens.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfStringUtils.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfUnicode.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Parse/ParseTreeNodeType.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Process/Nesting.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Parse/BuildTokenList.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Parse/SourceToken.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Parse/SourceTokenList.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfMiscFunctions.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfSystemUtils.pas
JcfSystemUtils.pas(151,5) Warning: Symbol "Shell" is deprecated
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Settings/JcfRegistrySettings.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Parse/BuildParseTree.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Parse/ParseError.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Parse/TokenUtils.pas
Compiling /home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SettingsTypes.pas
Fatal: Can't find unit JCFSettings used by TokenUtils
Fatal: Compilation aborted
make[2]: *** [jcfidelazarus.ppu] Error 1
make[1]: *** [bigidecomponents] Error 2
make[2]: Leaving directory `/home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components/jcf2/IdePlugin/lazarus'
make[1]: Leaving directory `/home/liska/tmp/lazarus0.9.29.22247/lazarus_build/usr/share/lazarus/components'
make: *** [bigidecomponents] Error 2
TagsNo tags attached.
Fixed in Revision22248,22263
LazTarget-
WidgetsetGTK 2
Attached Files

Activities

Paul Ishenin

2009-10-21 09:59

manager   ~0031550

Probably fixed in r22248. Please test and close if ok.

Marelis

2009-10-21 12:22

reporter   ~0031551

It seems that even a small mistake somewhere, but I'm not quite sure which side the ball is:

Fatal: Unit fileutils searched but FileUtil found

Part of the log with error:

make -C jcf2/IdePlugin/lazarus
make[2]: Entering directory `/home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/IdePlugin/lazarus'
/bin/rm -f lib/i386-linux/jcfidelazarus.ppu
/bin/mkdir -p lib/i386-linux
ppc386 -dLCL -dLCLgtk2 -MObjFPC -Sgi -Fu../../ -Fu../../Parse/ -Fu../../Parse/PreProcessor/ -Fu../../Parse/UI/ -Fu../../Process/ -Fu../../Process/Align/ -Fu../../Process/Capitalisation/ -Fu../../Process/Indent/ -Fu../../Process/Info/ -Fu../../Process/Obfuscate/ -Fu../../Process/Onceoffs/ -Fu../../Process/Returns/ -Fu../../Process/Spacing/ -Fu../../Process/Transform/ -Fu../../Process/Warnings/ -Fu../../ReadWrite/ -Fu../../Settings/ -Fu../../Settings/Streams/ -Fu../../Ui/ -Fu../../UI/Settings/ -Fu../../Utils/ -Fu../../Utils/DragDrop/ -Fu../../../../ideintf/units/i386-linux/ -Fu../../../../lcl/units/i386-linux/ -Fu../../../../lcl/units/i386-linux/gtk2/ -Fu../../../../packager/units/i386-linux/ -Fu./ -Fu/usr/lib/fpc/2.2.5/units/i386-linux/rtl -Fi../../Include/ -Fi./ -FE. -FUlib/i386-linux -Fl/opt/gnome/lib -di386 jcfidelazarus.pas
Free Pascal Compiler version 2.2.5 [2009/10/21] for i386
Copyright (c) 1993-2008 by Florian Klaempfl
Target OS: Linux for i386
Compiling jcfidelazarus.pas
Compiling jcfidemain.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/ReadWrite/EditorConverter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/ReadWrite/Converter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/ReadWrite/ConvertTypes.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/ParseTreeNode.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/Tokens.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfStringUtils.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfUnicode.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/ParseTreeNodeType.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Nesting.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/BuildTokenList.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/SourceToken.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/SourceTokenList.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfMiscFunctions.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfSystemUtils.pas
JcfSystemUtils.pas(151,5) Warning: Symbol "Shell" is deprecated
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/JcfRegistrySettings.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/BuildParseTree.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/ParseError.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/TokenUtils.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SettingsTypes.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/JcfSettings.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetObfuscate.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/JcfSetBase.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/Streams/SettingsStream.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetClarify.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetIndent.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetSpaces.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetReturns.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetComments.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetCaps.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetWordList.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetAlign.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetReplace.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetUses.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetPreProcessor.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetTransform.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Settings/SetAsm.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/JcfVersionConsts.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/AsmKeywords.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/BaseVisitor.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/AllProcesses.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/TreeWalker.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/VisitSetXY.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Obfuscate/FixCase.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/SwitchableVisitor.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/FormatFlags.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Obfuscate/RemoveComment.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Obfuscate/RemoveBlankLine.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Obfuscate/RemoveReturn.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Obfuscate/ReduceWhiteSpace.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Obfuscate/RemoveConsecutiveWhiteSpace.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Obfuscate/RemoveUnneededWhiteSpace.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Obfuscate/RebreakLines.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Transform/FindReplace.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Transform/UsesClauseInsert.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Transform/UsesClauseRemove.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Transform/UsesClauseFindReplace.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/RemoveEmptyComment.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Transform/AddBeginEnd.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Transform/AddBlockEndSemicolon.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Transform/SortUses.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Transform/SortUsesData.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Warnings/Warning.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Warnings/WarnEmptyBlock.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Warnings/WarnRealType.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Warnings/WarnAssignToFunctionName.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Warnings/WarnCaseNoElse.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Warnings/WarnDestroy.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Warnings/WarnUnusedParam.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Capitalisation/UnitNameCaps.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Capitalisation/SpecificWordCaps.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Capitalisation/IdentifierCaps.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Capitalisation/Capitalisation.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/ReturnChars.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/RemoveReturnsAfterBegin.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/RemoveReturnsBeforeEnd.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/PropertyOnOneLine.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/RemoveBlankLinesAfterProcHeader.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/RemoveBlankLinesInVars.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/NoReturnBefore.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/NoReturnAfter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/ReturnBefore.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/ReturnAfter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/BlockStyles.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/ReturnsAfterFinalEnd.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/RemoveConsecutiveReturns.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/RemoveReturnsAfter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/TabToSpace.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/SpaceToTab.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/MaxSpaces.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/NoSpaceAfter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/NoSpaceBefore.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/SingleSpaceBefore.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/SingleSpaceAfter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/SpaceBeforeColon.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/RemoveSpaceAtLineEnd.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/VisitStripEmptySpace.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Spacing/MoveSpaceToBeforeColon.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/VisitSetNesting.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Indent/Indenter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Returns/LongLineBreaker.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/IntList.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Info/BasicStats.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Align/AlignConst.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Align/AlignBase.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Align/AlignVars.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Align/AlignAssign.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Align/AlignTypedef.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Align/AlignComment.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Align/AlignField.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Indent/IndentAsmParam.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/UI/fShowParseTree.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfHelp.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfFontSetFunctions.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/PreProcessor/PreProcessorParseTree.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/PreProcessor/PreProcessorExpressionTokenise.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/PreProcessor/PreProcessorExpressionTokens.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Parse/PreProcessor/PreProcessorExpressionParser.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfLog.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/ReadWrite/FileConverter.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/JcfUnicodeFiles.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Ui/fAbout.pas
Compiling jcfideregister.pas
Writing Resource String Table file: jcfideregister.rst
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Process/Onceoffs/MozComment.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Ui/fJcfErrorDisplay.pas
Compiling /home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/Utils/Delay.pas
Fatal: Unit fileutils searched but FileUtil found
Fatal: Compilation aborted
make[2]: Leaving directory `/home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components/jcf2/IdePlugin/lazarus'
make[1]: Leaving directory `/home/liska/tmp/lazarus0.9.29.22248/lazarus_build/usr/share/lazarus/components'

Marelis

2009-10-22 07:03

reporter   ~0031569

I think it found another problem and still not all resolved, as described above.

Marelis

2009-10-22 23:20

reporter   ~0031593

Very good work, Debian package for Lazarus SVN 22265 created without problems, thank you!

Issue History

Date Modified Username Field Change
2009-10-21 09:41 Marelis New Issue
2009-10-21 09:41 Marelis Widgetset => GTK 2
2009-10-21 09:59 Paul Ishenin Fixed in Revision => 22248
2009-10-21 09:59 Paul Ishenin LazTarget => -
2009-10-21 09:59 Paul Ishenin Status new => resolved
2009-10-21 09:59 Paul Ishenin Fixed in Version => 0.9.29 (SVN)
2009-10-21 09:59 Paul Ishenin Resolution open => fixed
2009-10-21 09:59 Paul Ishenin Assigned To => Paul Ishenin
2009-10-21 09:59 Paul Ishenin Note Added: 0031550
2009-10-21 12:22 Marelis Note Added: 0031551
2009-10-22 07:03 Marelis Status resolved => assigned
2009-10-22 07:03 Marelis Resolution fixed => reopened
2009-10-22 07:03 Marelis Note Added: 0031569
2009-10-22 22:00 Vincent Snijders Fixed in Revision 22248 => 22248,22263
2009-10-22 22:00 Vincent Snijders Status assigned => resolved
2009-10-22 22:00 Vincent Snijders Resolution reopened => fixed
2009-10-22 23:20 Marelis Status resolved => closed
2009-10-22 23:20 Marelis Note Added: 0031593